@import url('https://fonts.googleapis.com/css?family=Montserrat:400,600,800');

.index-portals {
	padding-top: 80px;
}

.portal-box {
	display: block;
	height: 345px;
	position: relative;
	width: 100%;
}

.portal-box-logo {
	align-items: center;
	background-color: #FFF;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: 60px;
	border-radius: 50%;
	border: 5px solid;
	display: flex;
	font-size: 46px;
	height: 100px;
	justify-content: center;
	width: 100px;
}

.portal-box-logo-position {
	left: 50%;
	margin-left: -50px;
	position: absolute;
	top: -50px;
}

.portal-box-top {
	display: flex;
	flex-direction: column;
	gap: 10px;
	height: 205px;
	padding: 60px 15px 0;
	position: absolute;
	text-align: center;
	top: 0;
	width: 100%;
	transition: top ease-in-out 80ms, height ease-in-out 80ms;
}

.portal-box-gradient {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	mix-blend-mode: soft-light;
	background: linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0) 100%);
	opacity: 0;
	transition: opacity ease-in-out 1000ms;
}

.portal-box-title {
	color: #FFF;
	font-family: 'Montserrat', sans-serif;
	font-size: 2.5rem;
	font-weight: 800;
}

.portal-box-subtitle {
	color: #FFF;
	font-weight: 600;
}

.portal-box-bottom {
	align-items: center;
	bottom: 0;
	display: flex;
	flex-direction: column;
	gap: 15px;
	height: 140px;
	justify-content: center;
	padding: 0 20px;
	position: absolute;
	text-align: center;
	width: 100%;
}

.portal-box-stinger {
	font-family: 'Source Serif Pro', sans-serif;
	font-size: 14px;
}

.portal-box-button {
	background-color: #0a7bb7;
	border: 1px solid transparent;
	color: #fefefe;
	display: inline-block;
	font-family: 'Montserrat', sans-serif;
	font-size: .75rem;
	font-weight: 600;
	line-height: 1;
	padding: .85em 1em;
	text-align: center;
	width: 130px;
	margin: 0 auto;
}

.portal-box:hover .portal-box-top {
	top: -10px;
	height: 215px;
}

.portal-box:hover .portal-box-gradient {
	opacity: .4;
}

/* Mobile */

.portal-box-mobile { display: none; }

@media screen and (max-width: 1023px) {

	.index-portals {
		margin-bottom: 0;
		padding-top: 0;
	}

	.portal-box-container > .portal-box {
		margin-top: 35px;
		margin-bottom: 35px;
	}

}

@media screen and (max-width: 639px) {

	.index-portals {
		margin-bottom: 10px;
		padding-top: 0;
	}

	.portal-box-container > .portal-box {
		display: none;
	}

	.portal-box-mobile {
		display: block !important;
	}

}

@media screen and (max-width: 433px) {

	.portal-box-subtitle {
		font-size: 14px;
	}

}

.portal-box-mobile {
	height: 275px;
	margin-bottom: 20px;
	padding-top: 135px;
	position: relative;
	width: 100%;
}

.portal-box-mobile-top {
	height: 135px;
	left: 0;
	padding: 10px 125px 10px 20px;
	position: absolute;
	top: 0;
	width: 100%;
	display: flex;
	align-items: center;
}

.portal-box-mobile-logo {
	position: absolute;
	right: 15px;
	top: 15px;
}

.portal-box-mobile-bottom {
	display: flex;
	flex-direction: column;
	gap: 15px;
	height: 140px;
	justify-content: center;
	padding: 20px;
	text-align: center;
}

/* NJEIT */
.portal-box-njeit .portal-box-logo {
	background-image: url("/img/njib/njeit-thumb.png");
	border-color: #094a6f;
}
.portal-box-njeit .portal-box-button { background-color: #094a6f; }

.portal-box-njeit .portal-box-top,
.portal-box-njeit .portal-box-mobile-top { background-color: #094a6f; }
.portal-box-njeit .portal-box-bottom,
.portal-box-njeit .portal-box-mobile-bottom
{
	background-color: #e2f2fa;
	color: #094a6f;
}

/* NJTIB */
.portal-box-njtib .portal-box-logo {
	background-image: url("https://cdn.njib.gov/banners/NJTIB/njtib-thumb-bl.png");
	border-color: #dc4d00;
}
.portal-box-njtib .portal-box-button { background-color: #000; }

.portal-box-njtib .portal-box-top,
.portal-box-njtib .portal-box-mobile-top { background-color: #dc4d00; }
.portal-box-njtib .portal-box-bottom,
.portal-box-njtib .portal-box-mobile-bottom {
	background-color: #f1f1f1;
	color: #000;
}

/* NJRIB */
.portal-box-njrib .portal-box-logo { border-color: #b9182f; color: #b9182f; }
.portal-box-njrib .portal-box-button { background-color: #b9182f; }

.portal-box-njrib .portal-box-top,
.portal-box-njrib .portal-box-mobile-top { background-color: #b9182f; }
.portal-box-njrib .portal-box-bottom,
.portal-box-njrib .portal-box-mobile-bottom {
	background-color: #f8ede9;
	color: #b9182f;
}

/* Investor Relations */
.portal-box-blink .portal-box-logo { border-color: #298828; }
.portal-box-blink .portal-box-button { background-color: #298828; }

.portal-box-blink .portal-box-top,
.portal-box-blink .portal-box-mobile-top { background-color: #298828; }
.portal-box-blink .portal-box-bottom,
.portal-box-blink .portal-box-mobile-bottom {
	background-color: #ebffe6;
	color: #004b0d;
}
